Name:		xfce4-fsguard-plugin
Version:	0.4.1
Release:	1%{?dist}
Summary:	Filesystem-Guard plugin for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.4.0, libxfcegui4-devel >= 4.4.0, libxml2-devel
BuildRequires:	gettext, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.1

%description
A little Xfce plugin, which checks the free space on the chosen mountpoint 
frequently. It displays 4 different icons and a message box, depending on the
free space. The amount of free disk space is visible in a tooltip. If you 
left-click on its icon, it opens the mountpoint directory in the file manager.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg

%changelog
* Sun Jan 27 2008 Christoph Wickert <fedora christoph-wickert de> - 0.4.1-1
- Update to 0.4.1

* Fri Dec 07 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-2
- Rebuild for Xfce 4.4.2

* Thu Nov 08 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-1
- Update to 0.4.0

* Fri Aug 24 2007 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-6
- Rebuild for BuildID feature

* Sat Apr 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-5
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-4
- Rebuild for Xfce 4.4
- Patch to compile with -Wl,--as-needed (bugzilla.xfce.org #2783)

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-1
- Update to 0.3.0 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.1-5
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-4
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-3
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-2
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-1
- Initial Fedora Extras version.
- Update to 0.2.1.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc3.cw
- Initial RPM release.
